v1.0
put
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/lots/manufacturing-lots/{id}
Deprecated: Update manufacturing lot by a lot's ID. Rights: LotManagementPost.
Request
Path Parameters
-
id(required): string(uuid)
ID of the lot.
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Root Schema : Lot Request
Type:
objectTitle:
Lot RequestRequest containing lot details.
Show Source
-
doNotCount: number
(BigDecimal)
Title:
Do Not CountMinimum Value:0Maximum Value:999Do Not Count (DNC) days.Example:10 -
doNotShip: number
(BigDecimal)
Title:
Do Not ShipMinimum Value:0Maximum Value:999Do Not Ship (DNS) days.Example:10 -
expirationDate(required): string
Title:
Expiration DatePattern:(\d){4}-(\d){2}-(\d){2}Expiration date.Example:2025-12-31 -
lotNumber: string
Title:
Lot NumberMinimum Length:0Maximum Length:50Lot number.Example:LOT-001 -
manufacturingLotNumber(required): string
Title:
Manufacturing Lot NumberMinimum Length:0Maximum Length:50Manufacturing lot number.Example:LOT-001
Response
Supported Media Types
- application/json
200 Response
Successful operation
400 Response
Invalid expiration date. OR Manufacturing Lot Number already exists or Lot short name (lotNumber) already exists.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object403 Response
The study identifier does not match any study identifiers in Clinical One
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object